/////////////////////////////////////////////////////////////////////////////
// Name:        DVDAction.h
// Purpose:     Stores a DVD Action
// Author:      Alex Thuering
// Created:     03.09.2009
// RCS-ID:      $Id: DVDAction.h,v 1.5 2009/09/12 16:08:33 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef DVDACTION_H
#define DVDACTION_H

#include <wx/wx.h>

enum DVDFileType { DVDSTYLER_XML, DVDAUTHOR_XML, SPUMUX_XML };
enum DVDActionType { MENU_ACTION, BUTTON_ACTION };
class DVD;
class wxSvgXmlNode;

class DVDAction {
public:
	DVDAction(bool vmg, DVDActionType actionType, wxString id = wxT(""));
    
    wxString GetId(bool translate = false);
    wxString AsString(DVD* dvd, bool translate = false);
	
	inline bool IsCustom() { return m_custom.length()>0; }
	inline wxString GetCustom() { return m_custom; }
	inline void SetCustom(wxString action) { m_custom = action; }
	
	inline int  GetTsi() { return m_tsi; }
	inline void	SetTsi(int tsi) { m_tsi = tsi; }
	inline int  GetPgci() { return m_pgci; }
	inline void	SetPgci(int pgci) { m_pgci = pgci; }
	inline bool  IsMenu() { return m_menu; }
	inline void	SetMenu(int menu) { m_menu = menu; }
	inline int  GetChapter() { return m_chapter; }
	inline void	SetChapter(int chapter) { m_chapter = chapter; }
    
	inline bool IsPlayAll() { return m_playAll; }
	inline void SetPlayAll(bool value) { m_playAll = value; }

	inline int  GetAudio() { return m_audio; }
	inline void	SetAudio(int audio) { m_audio = audio; }
	inline int  GetSubtitle() { return m_subtitle; }
	inline void	SetSubtitle(int subtitle) { m_subtitle = subtitle; }
	
	/** Returns true if button action is valid */
	bool IsValid(DVD* dvd, int tsi, int pgci, bool menu, wxString buttonId, bool showMessage);
	
	wxSvgXmlNode* GetXML(DVDFileType type, DVD* dvd);
	bool PutXML(wxSvgXmlNode* node);
    
private:
	bool m_vmg;
	DVDActionType m_actionType;
    wxString m_id;
    wxString m_custom;
	int m_tsi;
	int m_pgci;
	bool m_menu;
	int m_chapter;
	bool m_playAll;
	int m_audio;
	int m_subtitle;
};

#endif /* DVDACTION_H_ */
